> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get FFA Matches

> Fetch a list of FFA matches for a specific tournament.



## OpenAPI

````yaml /api-reference/matches/openapi.json get /matches/ffa
openapi: 3.0.0
info:
  title: Matches
  version: 1.0.0
  description: API endpoints to fetch match data, including Duel and FFA matches.
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /matches/ffa:
    get:
      summary: Get FFA Matches
      description: Fetch a list of FFA matches for a specific tournament.
      operationId: getFfaMatches
      parameters:
        - name: tournamentId
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the tournament
        - name: roundId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Optional filter by Round ID
        - name: groupId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Optional filter by Group ID
        - name: groupVersion
          in: query
          required: false
          schema:
            type: integer
          description: Optional filter by Group Version
        - name: matchStatus
          in: query
          required: false
          schema:
            type: integer
            enum:
              - 1
              - 2
              - 3
              - 4
              - 5
          description: Optional filter by match status
      responses:
        '200':
          description: FFA matches fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFfaMatchesResponse'
              example:
                success: true
                message: FFA matches fetched successfully
                data:
                  matches:
                    - matchId: b3d3c3c1-f9ac-406d-bc35-2402758eceb1
                      tournamentId: 788f9b9d-1aec-4dec-b2fc-d585a6ef149f
                      tournamentName: Fortnite 2026
                      roundId: 44accbab-48f7-4fe0-8085-df45903863a8
                      roundName: Round 1 (Normal)
                      groups:
                        - groupId: ee6c62d0-0802-4327-9961-5ed446f5702f
                          groupName: Group 1
                          version: 1
                      matchNumber: null
                      matchStatus: 1
                      scheduledAt: null
                      mapId: null
                      mapName: null
                  totalCount: 1
                  pageNumber: 1
                  pageSize: 20
                  totalPages: 1
                meta:
                  traceId: 00-7872a6ba64ea409e0dcedd596312b120-9e0ad76ad6222173-00
                  elapsedMs: 64.67
                  serverTimestamp: '2026-02-17T12:11:00.6637797Z'
components:
  schemas:
    GetFfaMatchesResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            matches:
              type: array
              items:
                $ref: '#/components/schemas/FfaMatch'
            totalCount:
              type: integer
            pageNumber:
              type: integer
            pageSize:
              type: integer
            totalPages:
              type: integer
          nullable: true
        meta:
          $ref: '#/components/schemas/Meta'
    FfaMatch:
      type: object
      properties:
        matchId:
          type: string
          format: uuid
        tournamentId:
          type: string
          format: uuid
        tournamentName:
          type: string
        roundId:
          type: string
          format: uuid
        roundName:
          type: string
        groups:
          type: array
          items:
            $ref: '#/components/schemas/FfaGroup'
          nullable: true
        matchNumber:
          type: integer
          nullable: true
        matchStatus:
          type: integer
        scheduledAt:
          type: string
          format: date-time
          nullable: true
        mapId:
          type: string
          nullable: true
        mapName:
          type: string
          nullable: true
    Meta:
      type: object
      properties:
        traceId:
          type: string
        elapsedMs:
          type: number
        serverTimestamp:
          type: string
          format: date-time
    FfaGroup:
      type: object
      properties:
        groupId:
          type: string
          format: uuid
        groupName:
          type: string
        version:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````